# Uses of Class
io.dapr.client.DaprClientBuilder

Packages that use DaprClientBuilder
Package
Description
io.dapr.client
io.dapr.spring.boot.autoconfigure.client

## Uses of DaprClientBuilder in io.dapr.client

Methods in io.dapr.client that return DaprClientBuilder
Modifier and Type
Method
Description
`DaprClientBuilder`
DaprClientBuilder.`withObjectSerializer(DaprObjectSerializer objectSerializer)`
Sets the serializer for objects to be sent and received from Dapr.
`DaprClientBuilder`
DaprClientBuilder.`withPropertyOverride(Property<?> property, String value)`
Allow to set up properties override for static properties.
`DaprClientBuilder`
DaprClientBuilder.`withPropertyOverrides(Map<Property<?>,String> overrides)`
Allow to set up properties override for static properties.
`DaprClientBuilder`
DaprClientBuilder.`withResiliencyOptions(ResiliencyOptions options)`
Sets the resiliency options for DaprClient.
`DaprClientBuilder`
DaprClientBuilder.`withStateSerializer(DaprObjectSerializer stateSerializer)`
Sets the serializer for objects to be persisted.

## Uses of DaprClientBuilder in io.dapr.spring.boot.autoconfigure.client

Methods in io.dapr.spring.boot.autoconfigure.client that return DaprClientBuilder
Modifier and Type
Method
Description
`protected DaprClientBuilder`
DaprClientAutoConfiguration.`createDaprClientBuilder()`
We use this method in tests to override the default DaprClientBuilder.